<?php
namespace app\admin\controller;

use app\common\controller\Back;

class Site extends Back
{
    protected function initialize()
    {
        parent::initialize();
    }
    
    public function index()
    {
        $form = xfFormCreate([
            'name'         => 'adminSiteIndex',
            'action'       => xfUrl('admin/site/update'),
            'items'        => model('admin/Site','form')->items(config('site.')),
            'reset'        => '重置',
            'class_button' => 'text-left',
        ]);

        $this->assign('form',$form);

        $this->assign($this->site);

        return $this->fetch();
    }

    public function update()
    {
        $post = xfArrayFilter(input('post.'), model('admin/Site','form')->keys());

        $this->configSave('./config/site.php', $post, 'admin/site/index');
    }
}