<?php
namespace app\common\model;

use think\Model;

class User extends Model
{
    //默认主键
    protected $pk = 'user_id';

    //开启自动写入时间戳字段
    protected $autoWriteTimestamp = true;

    // 定义时间戳字段名
    protected $createTime = 'user_create_time';
    protected $updateTime = 'user_update_time';
    
    // 设置json类型字段
	protected $json = ['user_roles','user_caps'];
    
    // 设置JSON数据返回数组
    protected $jsonAssoc = true;
}