<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=0">
<link href="{$pathStatic}/bootstrap/5.3.3/css/bootstrap.min.css?{:config('app.app_version')}" rel="stylesheet">
<link href="{$pathStatic}/bootstrap-icons/1.11.3/bootstrap-icons.min.css?{:config('app.app_version')}" rel="stylesheet">
<link href="{$pathView}/front.css?{:config('app.app_version')}" rel="stylesheet">
<link href="{$pathView}/{$module}/{$controll}/{$action}.css?{:config('app.app_version')}" rel="stylesheet">
<script>const CONFIG = {:json_encode($jsConfig)}</script>
<script src="{$pathStatic}/require/2.3.6/require.min.js?{:config('app.app_version')}" data-main="{$pathView}/front.js?{:config('app.app_version')}"></script>
{block name="head"}<title>{$title}</title>
<meta name="keywords" content="{$keywords}" />
<meta name="description" content="{$description}" />{/block}
{:config('site.tongji_header')}
</head>
<body>
<header>
  <nav class="navbar navbar-expand-md bg-dark navbar-dark fixed-top">
    <div class="container">
      <a class="navbar-brand" href="{:xfUrl('blog/index/index')}">{:config('site.name')}</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#collapsibleNavbar">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="collapsibleNavbar">
        <ul class="navbar-nav ms-auto">
          {volist name=":model('common/Menu','loglic')->items(1,0)" id="item"}
          {if $item['_child']}
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle {:xfActive($active,$item['menu_active'])}" href="{:xfUrlParse($item['menu_url'])}" data-bs-toggle="dropdown"><i class="{$item.menu_icon|default='d-none'}"></i>{$item.menu_name}</a>
            <ul class="dropdown-menu">
              {foreach $item['_child'] as $keySon=>$son}
              <li><a class="dropdown-item {:xfActive($active,$son['menu_active'])}" href="{:xfUrlParse($son['menu_url'])}" target="{$son.menu_target}"><i class="{$son.menu_icon|default='d-none'}"></i>{$son.menu_name}</a></li>
              {/foreach}
            </ul>
          </li>
          {else/}
          <li class="nav-item">
            <a class="nav-link {:xfActive($active,$item['menu_active'])}" href="{:xfUrlParse($item['menu_url'])}" target="{$item.menu_target}"><i class="{$item.menu_icon|default='d-none'}"></i>{$item.menu_name}</a>
          </li>
          {/if}
          {/volist}
        </ul>
      </div>
    </div>
  </nav>
</header>
{block name="main"}{/block}
<footer class="container text-muted text-center fs-0 pt-3">
  <p>Powered by <a href="https://www.feifeicms.co" target="_blank">{:config('app.app_name')}</a> V{:config('app.app_version')}</p>
  <p class="text-muted mb-2">
    {:config('site.host')}
    {if config('site.icp')}<span class="mx-1">|</span><a class="text-muted" href="https://beian.miit.gov.cn/" target="_blank">{:config('site.icp')}</a>{/if}
    {if config('site.icp_police')}<span class="mx-1">|</span><a class="text-muted" href="http://www.beian.gov.cn/portal/registerSystemInfo?recordcode={:xfNumber(config('site.icp_police'))}" target="_blank">{:config('site.icp_police')}</a>{/if}
    {if config('site.icp_permit')}<span class="mx-1">|</span>{:config('site.icp_permit')}{/if}
    {if config('site.phone')}<span class="mx-1">|</span>{:config('site.phone')}{/if}
    {if config('site.email')}<span class="mx-1">|</span>{:config('site.email')}{/if}
  </p>
</footer>
{:config('site.tongji_footer')}
</body>
</html>