<?php
namespace app\common\loglic;

use app\common\loglic\Model;

class Link extends Model
{
    public function saveAll($list=[])
    {
        return $this->dbSaveAll('link', $list);
    }

    public function deleteId($id=0)
    {
        if(!$id){
            return 0;
        }
        return $this->dbDelete('link', ['link_id'=>$id]);
    }

    public function updatePk($data=[])
    {
        return $this->dbUpdatePk('link', $data);
    }

    public function select($args=[])
    {
        return $this->dbSelect('link', $args);
    }
    
    public function selectPage($args=[], $pageSize=10, $pageNumber=1, $isTotal=false, $query=['page'=>1])
    {
        return $this->dbSelectPage('link', $args, $pageSize, $pageNumber, $isTotal, $query);
    }

    public function items($limit=10,$sortOrder=['link_weight'=>'asc'],$field='*')
    {
        return $this->dbSelect('link', [
            'field'  => $field,
            'limit'  => $limit,
            'cache'  => config('cache.expire_items'),
            'order'  => $sortOrder,
            'where'  => [
                ['link_status','eq',1],
            ],
        ]);
    }
}
?>