<?php
return [
    [
        'name'   => '文章系统',
        'link'   => 'javascript:;',
        'icon'   => 'bi-list-columns-reverse',
        'active' => ['blog/admin.index','blog/admin.type','blog/admin.tag','blog/admin.page','blog/admin.channel'],
        'target' => '_self',
        '_child' => [
            [
                'name'   => '文章管理',
                'link'   => 'blog/admin.index/index',
                'active' => 'blog/admin.index/index',
                'target' => '_self',
            ],
            [
                'name'   => '添加文章',
                'link'   => 'blog/admin.index/create',
                'active' => 'blog/admin.index/create',
                'target' => '_self',
            ],
            [
                'name'   => '分类管理',
                'link'   => 'blog/admin.type/index',
                'active' => 'blog/admin.type/index',
                'target' => '_self',
            ],
            [
                'name'   => '标签管理',
                'link'   => 'blog/admin.tag/index',
                'active' => 'blog/admin.tag/index',
                'target' => '_self',
            ],
            [
                'name'   => '单页配置',
                'link'   => 'blog/admin.page/index',
                'active' => 'blog/admin.page/index',
                'target' => '_self',
            ],
            [
                'name'   => '频道配置',
                'link'   => 'blog/admin.channel/index',
                'active' => 'blog/admin.channel/index',
                'target' => '_self',
            ],
        ],
    ],
    [
        'name'   => '运营工具',
        'link'   => 'javascript:;',
        'icon'   => 'bi-tools',
        'active' => ['admin/tool','admin/link','admin/menu','admin/user'],
        'target' => '_self',
        '_child' => [
            [
                'name'   => '工具维护',
                'link'   => 'admin/tool/index',
                'active' => 'admin/tool/index',
                'target' => '_self',
            ],
            [
                'name'   => '菜单导航',
                'link'   => 'admin/menu/index',
                'active' => 'admin/menu/index',
                'target' => '_self',
            ],
            [
                'name'   => '友情链接',
                'link'   => 'admin/link/index',
                'active' => 'admin/link/index',
                'target' => '_self',
            ],
            [
                'name'   => '后台用户',
                'link'   => 'admin/user/index',
                'active' => 'admin/user/index',
                'target' => '_self',
            ],
        ],
    ],
    [
        'name'   => '系统配置',
        'link'   => 'javascript:;',
        'icon'   => 'bi-gear-fill',
        'active' => ['admin/index','admin/site','admin/route','admin/cache','admin/apis','admin/upload','admin/email','admin/sms'],
        'target' => '_self',
        '_child' => [
            [
                'name'   => '后台首页',
                'link'   => 'admin/index/index',
                'active' => 'admin/index/index',
                'target' => '_self',
            ],
            [
                'name'   => '基础配置',
                'link'   => 'admin/site/index',
                'active' => 'admin/site/index',
                'target' => '_self',
            ],
            [
                'name'   => '路由配置',
                'link'   => 'admin/route/index',
                'active' => 'admin/route/index',
                'target' => '_self',
            ],
            [
                'name'   => '缓存配置',
                'link'   => 'admin/cache/index',
                'active' => 'admin/cache/index',
                'target' => '_self',
            ],
            [
                'name'   => '上传配置',
                'link'   => 'admin/upload/index',
                'active' => 'admin/upload/index',
                'target' => '_self',
            ],
        ],
    ],
];